Subject: [ipfix] FYI: IPFIX XML work (fwd)

From: Juergen Quittek <[email-masked]>
Date: Mon, 29 May 2006 01:20:17 +0200

Dear all,

FYI, the message below was posted last week on the NetConf mailing list.

    Juergen

------------ Forwarded Message ------------
Date: Wednesday, Mai 24, 2006 09:45 h -0700
From: Andy Bierman <[email-masked]>
To: "Netconf (E-mail)" <[email-masked]>, Netconf Data Model Discussion <[email-masked]>, Dan Romascanu <[email-masked]>
Subject: FYI: IPFIX XML work

Hi,

I think you should read Appendix A of the IPFIX Info Model draft:

http://www.ietf.org/internet-drafts/draft-ietf-ipfix-info-11.txt

IMO, it would be a *really* bad idea for every std NM protocol with
DM info (snmp, syslog, ipfix, netconf, ?) to invent their own
DM language, module & life-cycle system, access control model,
core info model, naming model, and on and on...

Dan, I think you should force the IPFIX WG to break out (at least)
the core set of 'XML Simple Types' from this document
and let all the OPS-NM WGs review it and add/change it.
Then it should be published as a PS RFC, and all XML DM work
in the IETF must use those data types, if they apply.

By the time one figures out the "free-for-all" approach doesn't work,
it is usually too late to fix it.

Andy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---------- End Forwarded Message ----------

Subject: FYI: IPFIX XML work
From: Andy Bierman <[email-masked]>
To: "Netconf (E-mail)" <[email-masked]>, Netconf Data Model Discussion <[email-masked]>, Dan Romascanu <[email-masked]>
Date: Wed, 24 May 2006 09:45:27 -0700

Hi,

I think you should read Appendix A of the IPFIX Info Model draft:

http://www.ietf.org/internet-drafts/draft-ietf-ipfix-info-11.txt

IMO, it would be a *really* bad idea for every std NM protocol with
DM info (snmp, syslog, ipfix, netconf, ?) to invent their own
DM language, module & life-cycle system, access control model,
core info model, naming model, and on and on...

Dan, I think you should force the IPFIX WG to break out (at least)
the core set of 'XML Simple Types' from this document
and let all the OPS-NM WGs review it and add/change it.
Then it should be published as a PS RFC, and all XML DM work
in the IETF must use those data types, if they apply.

By the time one figures out the "free-for-all" approach doesn't work,
it is usually too late to fix it.

Andy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>